Main Page Widgets Namespaces Book

# Gtk::AccelLabel Class Reference
[Widgets]

A label which displays an accelerator key on the right of the text. More...

Inheritance diagram for Gtk::AccelLabel:

[legend]
List of all members.

## Public Methods

virtual | ~AccelLabel ()
GtkAccelLabel* | gobj ()
const GtkAccelLabel* | gobj () const
| AccelLabel ()
| AccelLabel (const Glib::ustring& label, bool mnemonic=false)
void | set_accel_widget (const Widget& widget)
| Sets the widget to be monitored by this accelerator label.
Widget* | get_accel_widget ()
| Fetches the widget monitored by this accelerator label.
const Widget* | get_accel_widget () const
| Fetches the widget monitored by this accelerator label.
guint | get_accel_width () const
bool | refetch ()
Glib::PropertyProxy<Gtk::Widget*> | property_accel_widget ()

## Related Functions

(Note that these are not member functions.)
Gtk::AccelLabel* | wrap (GtkAccelLabel* object, bool take_copy=false)

## Detailed Description

A label which displays an accelerator key on the right of the text.

## Constructor & Destructor Documentation

virtual Gtk::AccelLabel::~AccelLabel | ( |  | ) | `[virtual]`

Gtk::AccelLabel::AccelLabel | ( |  | ) |

Gtk::AccelLabel::AccelLabel | ( | const Glib::ustring& | label,
|  | bool | mnemonic = false
| ) | `[explicit]`

## Member Function Documentation

const Widget* Gtk::AccelLabel::get_accel_widget | ( |  | ) |

Fetches the widget monitored by this accelerator label.

See set_accel_widget().

Returns:
  The object monitored by the accelerator label, or `0`.

Widget* Gtk::AccelLabel::get_accel_widget | ( |  | ) |

Fetches the widget monitored by this accelerator label.

See set_accel_widget().

Returns:
  The object monitored by the accelerator label, or `0`.

guint Gtk::AccelLabel::get_accel_width | ( |  | ) |

const GtkAccelLabel* Gtk::AccelLabel::gobj | ( |  | ) | const`[inline]`

| Reimplemented from Gtk::Label.

GtkAccelLabel* Gtk::AccelLabel::gobj | ( |  | ) | `[inline]`

| Reimplemented from Gtk::Label.

Glib::PropertyProxy<Gtk::Widget*> Gtk::AccelLabel::property_accel_widget | ( |  | ) |

bool Gtk::AccelLabel::refetch | ( |  | ) |

void Gtk::AccelLabel::set_accel_widget | ( | const Widget& | widget | ) |

Sets the widget to be monitored by this accelerator label.

Parameters:

  accel_widget | The widget to be monitored.

## Friends And Related Function Documentation

Gtk::AccelLabel* wrap | ( | GtkAccelLabel* | object,
|  | bool | take_copy = false
| ) | `[related]`

The documentation for this class was generated from the following file:

- accellabel.h